diff a/src/hotspot/share/ci/ciKlass.hpp b/src/hotspot/share/ci/ciKlass.hpp
--- a/src/hotspot/share/ci/ciKlass.hpp
+++ b/src/hotspot/share/ci/ciKlass.hpp
@@ -70,10 +70,13 @@
   void print_impl(outputStream* st);
 
 public:
   ciKlass(Klass* k);
 
+  bool is_mirror_instance_klass() { return get_Klass()->is_mirror_instance_klass(); }
+  bool is_reference_instance_klass() { return get_Klass()->is_reference_instance_klass(); }
+
   // What is the name of this klass?
   ciSymbol* name() const { return _name; }
 
   // What is its layout helper value?
   jint layout_helper() { return _layout_helper; }
